%define anolis_release 1

Name:           socat
Version:        1.7.4.4
Release:        %{anolis_release}%{?dist}
Summary:        Bidirectional data relay between two data channels ('netcat++') 

License:        GPLv2 
URL:            http://www.dest-unreach.org/socat/
Source0:        http://www.dest-unreach.org/socat/download/%{name}-%{version}.tar.gz

PATCH0001:      0001-PATCH-socat-1.7.3.3-warn.patch
PATCH0002:      0002-PATCH-socat-configure-c99.patch

BuildRequires:  make
BuildRequires:  gcc
BuildRequires:  openssl-devel
BuildRequires:  readline-devel
BuildRequires:  ncurses-devel
BuildRequires:  iproute
BuildRequires:  net-tools
BuildRequires:  coreutils
BuildRequires:  procps-ng
BuildRequires:  openssl
BuildRequires:  iputils
BuildRequires:  autoconf
BuildRequires:  kernel-headers > 2.6.18

%description
Socat is a relay for bidirectional data transfer between two independent data
channels. Each of these data channels may be a file, pipe, device (serial line
etc. or a pseudo terminal), a socket (UNIX, IP4, IP6 - raw, UDP, TCP), an
SSL socket, proxy CONNECT connection, a file descriptor (stdin etc.), the GNU
line editor (readline), a program, or a combination of two of these.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1

iconv -f iso8859-1 -t utf-8 CHANGES > CHANGES.utf8
mv CHANGES.utf8 CHANGES

%build
%configure  \
        --enable-help --enable-stdio \
        --enable-fdnum --enable-file --enable-creat \
        --enable-gopen --enable-pipe --enable-termios \
        --enable-unix --enable-ip4 --enable-ip6 \
        --enable-rawip --enable-tcp --enable-udp \
        --enable-listen --enable-proxy --enable-exec \
        --enable-system --enable-pty --enable-readline \
        --enable-openssl --enable-sycls --enable-filan \
        --enable-retry

%make_build

%install
rm -rf $RPM_BUILD_ROOT

%make_install
install -d %{buildroot}/%{_docdir}/socat
install -m 0644 *.sh %{buildroot}/%{_docdir}/socat/
echo ".so man1/socat.1" | gzip > %{buildroot}/%{_mandir}/man1/filan.1.gz
cp -a %{buildroot}/%{_mandir}/man1/filan.1.gz %{buildroot}/%{_mandir}/man1/procan.1.gz

%generate_compatibility_deps

%files
%dir %{abidir}
%license COPYING*
%doc %{_docdir}/socat/*.sh
%{_bindir}/socat
%{abidir}/socat-option.list
%{_bindir}/filan
%{abidir}/filan-option.list
%{_bindir}/procan
%{abidir}/procan-option.list
%doc %{_mandir}/man1/*

%files doc
%doc BUGREPORTS CHANGES DEVELOPMENT EXAMPLES FAQ PORTING
%doc README SECURITY

%changelog
* Tue Jan 31 2023 Guyu Wang <guyu.wgy@linux.alibaba.com> - 1.7.4.4-1
- Update to 1.7.4.4

* Tue Mar  8 2022 forrest_ly <flin@linux.alibaba.com> - 1.7.4.2-1
- Init for Anolis OS 23
